Bug 1345963 - vidputs fails when CURRENT_SCREEN not set
vidputs fails when CURRENT_SCREEN not set
Product: Fedora
Classification: Fedora
Component: ncurses (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-06-13 10:03 EDT by Tom Hughes
Modified: 2017-07-26 10:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: ncurses-6.0-11.20170722.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-07-26 10:06:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2016-06-13 10:03:14 EDT
Description of problem:

The upgrade to ncurses 6 in F24 has stopped vidputs working if initscr/newterm has not been called because it has SP_FUNCS mode enabled which vidputs is replaced by a wrapper which calls vidputs_sp.

That wrapper creates a dummy screen locally if CURRENT_SCREEN is not set, and attaches the user's callback to that dummy screen. It then goes and passes CURRENT_SCREEN to vidputs though when it probably meant to pass sp which points either to CURRENT_SCREEN or to the local dummy.

Just fixing that is not a complete fix however, as the dummy screen is missing details that mean that vidputs_sp crashes when passed the dummy screen.

Version-Release number of selected component (if applicable):

Comment 1 Miroslav Lichvar 2016-06-21 09:46:31 EDT
CCing upstream maintainer.
Comment 2 Thomas E. Dickey 2017-06-24 08:11:49 EDT
I don't see it in my email from last year.  However, as I understand it,
the report points out that if vidputs is called without initializing the
terminal, the library misbehaves.  I'll improve that.
Comment 3 Fedora End Of Life 2017-07-25 17:05:58 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Miroslav Lichvar 2017-07-26 10:06:43 EDT
NEWS entry for snapshot 20170624:

        + improve checks for low-level terminfo functions when the terminal
          has not been initialized (Redhat #1345963).

Note You need to log in before you can comment on or make changes to this bug.